Bug 108594 - [RADV] Graphics distortion in Evil within 1 if reflections enabled
Summary: [RADV] Graphics distortion in Evil within 1 if reflections enabled
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-29 16:51 UTC by Vladimir
Modified: 2019-01-15 08:48 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
screenshot (2.41 MB, image/png)
2018-10-29 16:51 UTC, Vladimir
Details
renderdoc capture (66 bytes, text/plain)
2018-10-29 17:02 UTC, Vladimir
Details
screenshot NFS (1.39 MB, image/png)
2018-11-04 15:05 UTC, Vladimir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir 2018-10-29 16:51:47 UTC
Created attachment 142260 [details]
screenshot

Evil within 1 + DXVK 
Reflections ON

System information

    GPU: RX 580 8Gb
    Driver: mesa-git + llvm-svn
    Wine version: wine-staging 3.19-git
    DXVK version: 0.90
Comment 1 Vladimir 2018-10-29 17:02:01 UTC
Created attachment 142261 [details]
renderdoc capture
Comment 2 Vladimir 2018-11-04 15:05:59 UTC
Created attachment 142363 [details]
screenshot NFS

Something similar to this problem with any settings in NFS Payback with latest mesa-git/llvm-svn
Comment 3 Ahmed Elsayed 2018-12-10 19:15:42 UTC
I have the same bug with AMD HD 8750M.
Comment 4 Rhys Perry 2019-01-07 16:43:19 UTC
https://reviews.llvm.org/rL350532 seems to fix the The Evil Within issue for myself. Can you confirm that it fixes it for you?

Can you also see if that commit fixes the NFS Payback issue?
Comment 5 Samuel Pitoiset 2019-01-15 08:48:24 UTC
Should be fixed with LLVM r350532.
Feel free to re-open if NFS payback is still affected.
Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.